Nautilus launcher icon matching issue (seems due to desktop rename)

Bug #1436297 reported by Dave Morley on 2015-03-25
50
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Unassigned
nautilus (Ubuntu)
Low
Unassigned
unity (Ubuntu)
High
Unassigned

Bug Description

STEPS:
1. Boot Latest vivid cd
2. Select Live session or install
3. On the live session or installed system open Nautilus
4. The Nautilus window opens but in the launcher there is now a second window

EXPECTED:
I expect all nautilus windows to be linked to the original Nautilus launcher

ACTUAL:
A second nautilus launcher appears and all windows are linked to it instead.

Related branches

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1436297

tags: added: iso-testing
Changed in nautilus (Ubuntu):
status: New → Confirmed
importance: Undecided → High
affects: nautilus (Ubuntu) → unity (Ubuntu)
summary: - Nautilus launcher icon is not used for second window
+ Nautilus launcher icon matching issue (seems due to desktop rename)
Changed in nautilus (Ubuntu):
importance: Undecided → Low
status: New → Triaged
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.14.2-0ubuntu6

---------------
nautilus (1:3.14.2-0ubuntu6) vivid; urgency=medium

  * debian/nautilus.migrations,
    debian/nautilus-unity-launcher-icon-rename.py:
    - change the nautilus.desktop entry in the unity configuration to the
      new org.gnome.Nautilus name (lp: #1436297)
 -- Sebastien Bacher <email address hidden> Wed, 25 Mar 2015 16:39:23 +0100

Changed in nautilus (Ubuntu):
status: Fix Committed → Fix Released
Colin Law (colin-law) wrote :

Unfortunately this fix has resulted in the loss of the right click bookmarks feature of the nautilus icon in the launcher. For me at least.

Colin Law (colin-law) wrote :

A workaround for the missing bookmarks is to is to unlock the nautilus shortcut from the launcher and instead drag across /usr/share/applications/nautilus.desktop and lock that to the launcher (in the files view of that folder three items show as Files, it is the one that is about 600 bytes long that is wanted). Then to fix the duplicate icon problem add to the end of the [Desktop Entry] section of that file the line
StartupWMClass=nautilus

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.3.2+15.04.20150330-0ubuntu1

---------------
unity (7.3.2+15.04.20150330-0ubuntu1) vivid; urgency=medium

  [ Andrea Azzarone ]
  * Do not restore focus if a quicklist is opened during launcher key
    navigation. (LP: #932486)
  * Forward first key event that happens on top of the blank window to
    the lockscreen. (LP: #1308265)
  * Hide launcher to avoid damaging window when not needed. Also make
    sure that pressure effect works fine (previous fix has been reverted
    because of this!). (LP: #1301394)
  * Make sure scope_views_[filter.id] exists before using operator[] on
    it. (LP: #926979)
  * Make sure that signals are auto-desconnected when
    XdndStartStopNotifierImp is destroyed. (LP: #1432231)
  * Release pointer barrier if launcher is in lock_hide state. (LP:
    #1029114)

  [ Sebastien Bacher ]
  * use the new nautilus .desktop name (LP: #1436297)

  [ Stephen M. Webb ]
  * AP tests: accounted for arbitrarily-raised exceptions in checking
    scaled windows (LP: #1436095)
 -- CI Train Bot <email address hidden> Mon, 30 Mar 2015 15:48:47 +0000

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Colin Law (colin-law) wrote :

I am still seeing a second nautilus icon opening in the launcher.
$ apt-cache policy unity
unity:
  Installed: 7.3.2+15.04.20150330-0ubuntu1
  Candidate: 7.3.2+15.04.20150330-0ubuntu1
  Version table:
 *** 7.3.2+15.04.20150330-0ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ vivid/main amd64 Packages
        100 /var/lib/dpkg/status

Sebastien Bacher (seb128) wrote :

@Colin, is that a fresh user profile? The launcher configuration is written on first login, so the change wouldn't fix it if you upgrade but keep existing an account with a buggy configuration.

Sebastien Bacher (seb128) wrote :

works fine here on a daily livecd with updated unity, how did you test exactly?

Colin Law (colin-law) wrote :

On a vivid which was originally updated from Trusty and is up to date I created a new user (via System Settings > User Accts) and logged in as that user. Clicking on Files opens a new icon in the launcher.
The desktop file the system has put in the launcher is org.gnome.Nautilus.desktop

Stephen M. Webb (bregma) wrote :

@Seb is there a way to manually reset the configuration (ie what is the dconf setting)?

I saw the problem fixed after an upgrade without any manual intervention and can no longer reproduce on my test systems, but I am willing to believe my tests systems house gremlins that like to fool me on a regular basis.

Sebastien Bacher (seb128) wrote :

@Stephen, "gsettings reset com.canonical.Unity.Launcher favorites" should do it

Sebastien Bacher (seb128) wrote :

@Colin, ok, that seems a different bug then if you have the correct launcher config, it's working for me on an installed system, in a guest session and on a liveCD ... up to the Unity team to debug your issue I guess then

Benjamin Xiao (ben-r-xiao) wrote :

This bug is not fixed. Like Colin, I am still seeing a separate file icon. This is after I dragged Files into my favorites from the Applications section

Benjamin Xiao (ben-r-xiao) wrote :

Resetting my launcher favorites using the gsettings command brings back a file icon that doesn't duplicate, BUT it doesn't have any bookmarks in the right click menu.

So it seems like the Files icon in the Applications section is different from the one that's being written into com.canonical.Unity.Launcher favorites by default. And the one that's being written by default does not have any Bookmarks.

So new steps to reproduce should be:
1.) Unlock nautilus icon
2.) Drag Files icon from Applications into Favorites
3.) Click on Files icon.
4.) See another file icon appear.

Benjamin Xiao (ben-r-xiao) wrote :

Can somebody reopen this? Or shall Colin and I file a new bug?

Stephen M. Webb (bregma) wrote :

Do you guys who are still experiencing this problem have an errant .desktop file in ~/.local/share/applications/ by any chance?

Benjamin Xiao (ben-r-xiao) wrote :

No I don't have any nautilus related files in ~/.local/share/applications/

I think Colin pointed out (in the duplicate bug) that the problem really stems from the fact that in /usr/share/applications, there's nautilus.desktop and then there's org.gnome.Nautilus.desktop, which is marked with NoDisplay=true.

Seems like the one in the Application menus is nautilus.desktop, but the one that gets launched is org.gnome.Nautilus.desktop, so the windows aren't properly matched to the icon.

org.gnome.Nautilus.desktop also doesn't have any of the right-click menu bookmarks.

Is it possible to get rid of nautilus.desktop, mark org.gnome.Nautilus.desktop to appear in the menus, and then associate the bookmarks to it?

Sebastien Bacher (seb128) wrote :

> org.gnome.Nautilus.desktop also doesn't have any of the right-click menu bookmarks.

that was an issue in nautilus, I just uploaded a fix for it

Changed in nautilus (Ubuntu):
status: Fix Released → Fix Committed
Benjamin Xiao (ben-r-xiao) wrote :

Hi Sebastien, which package version contains the fix?

Sebastien Bacher (seb128) wrote :

@Benjaming, http://launchpadlibrarian.net/201756820/nautilus_3.14.2-0ubuntu7_source.changes which is still in the vivid review queue

Benjamin Xiao (ben-r-xiao) wrote :

Does this also fix the issue where the Files icon in Installed Applications is also pointing to nautilus.desktop instead of the new name?

Colin Law (colin-law) wrote :

Which .desktop file is the one that should be in the launcher? In /usr/share/applications I have three which have Name=Files:
nautilus.desktop
nautilus-folder-handler.desktop
org.gnome.Nautilus.desktop

Sebastien Bacher (seb128) wrote :

> Does this also fix the issue where the Files icon in Installed Applications is also pointing to nautilus.desktop instead of the new name?

No, I can't confirm that issue, nautilus.desktop has NoDisplay=true and shouldn't show in the dash, not sure why it does for you

@Colin, org.gnome.Nautilus.desktop is the new name

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.14.2-0ubuntu8

---------------
nautilus (1:3.14.2-0ubuntu8) vivid; urgency=medium

  * debian/patches/git_revert_location_entry.patch,
    debian/patches/git_slot_order.patch:
    - don't segfault when closing windows with several tabs (lp: #1430093)
 -- Sebastien Bacher <email address hidden> Wed, 01 Apr 2015 12:08:01 +0200

Changed in nautilus (Ubuntu):
status: Fix Committed → Fix Released
Benjamin Xiao (ben-r-xiao) wrote :

> No, I can't confirm that issue, nautilus.desktop has NoDisplay=true and shouldn't show in the dash, not sure why it does for you

On all three of my machines, org.gnome.Nautilus.desktop is the one with NoDisplay=true and nautilus.desktop is the one without that line.

I have not made any changes to those files.

Benjamin Xiao (ben-r-xiao) wrote :

And if I drag the icon from Applications into my favorites, it still has the double icon issue.

Benjamin Xiao (ben-r-xiao) wrote :

@Colin, do you also see NoDisplay=true in org.gnome.Nautilus.desktop?

Sebastien Bacher (seb128) wrote :

@Benjamin, sorry you are right, can you please open a new bug on nautilus about that?

Benjamin Xiao (ben-r-xiao) wrote :

Okay I filed #1439309 to deal with this issue.

https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1439309

Changed in unity:
importance: Undecided → High
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers